#include "PDFLibrary.ts"

public main(variable parameters) {
	variable data = {{"code"=>"G1","text"=>"Total sales (including any GST)","position"=>2,"line"=>true},
				{"code"=>"G2","text"=>"Export sales","position"=>1,"line"=>false},
				{"code"=>"G3","text"=>"Other GST-free sales","position"=>1,"line"=>false},
				{"code"=>"G4","text"=>"Input taxed sales","position"=>1,"line"=>false},
				{"code"=>"G5","text"=>"G2 + G3 + G4","position"=>2,"line"=>true},
				{"code"=>"G6","text"=>"Total Sales subject to GST\n(G1 minus G5)","position"=>2,"line"=>false},
				{"code"=>"G7","text"=>"Adjustments (if applicable)","position"=>2,"line"=>true},
				{"code"=>"G8","text"=>"Total sales subject to GST after adjustments\n(G6 + G7)","position"=>2,"line"=>false},
				{"code"=>"G9","text"=>"GST on sales (G8 divided by eleven)","position"=>2,"line"=>false},0,
				{"code"=>"G10","text"=>"Capital Purchases\n(including any GST)","position"=>1,"line"=>false},
				{"code"=>"G11","text"=>"Non-capital purchases\n(including any GST)","position"=>1,"line"=>false},
				{"code"=>"G12","text"=>"G10 + G11","position"=>2,"line"=>true},
				{"code"=>"G13","text"=>"Purchases for making input taxed sales","position"=>1,"line"=>false},
				{"code"=>"G14","text"=>"Purchases without GST in the price","position"=>1,"line"=>false},
				{"code"=>"G15","text"=>"Estimated purchases for private use\nor not income tax deductible","position"=>1,"line"=>false},
				{"code"=>"G16","text"=>"G13 + G14 + G15","position"=>2,"line"=>true},
				{"code"=>"G17","text"=>"Total purchases subject to GST\n(G12 minus G16)","position"=>2,"line"=>false},
				{"code"=>"G18","text"=>"Adjustments (if applicable)","position"=>2,"line"=>true},
				{"code"=>"G19","text"=>"Total purchases subject to GST after\nadjustments (G17 + G18)","position"=>2,"line"=>false},
				{"code"=>"G20","text"=>"GST on Purchases (G19 divided by eleven)","position"=>2,"line"=>false}
	};
	data[0].amount = parameters.TotalSales; data[1].amount = parameters.ExportSales;
	data[2].amount = parameters.GSTFreeSales; data[3].amount = parameters.InputTaxSales;
	data[4].amount = parameters.ExemptSales; data[5].amount = parameters.TaxableSales;
	data[6].amount = parameters.SalesAdjustments; data[7].amount = parameters.TotalGSTSales;
	data[8].amount = parameters.GSTPayable; data[10].amount = parameters.CapitalPurchase;
	data[11].amount = parameters.NonCapitalPurchase; data[12].amount = parameters.GSTCredits;
	data[13].amount = parameters.InputTaxPurchases; data[14].amount = parameters.NonGSTPurchase;
	data[15].amount = parameters.PrivatePruchases; data[16].amount = parameters.ExemptPurchases;
	data[17].amount = parameters.TotalGSTPurchases; data[18].amount = parameters.PurchasesAdjustments;
	data[19].amount = parameters.SubjectGSTPurchases; data[20].amount = parameters.TotalGSTCredits;
	PDFDocument pdf;
	pdf.EmbedFont("ARIALNB.TTF",14);
	pdf.EmbedFont("ARIALN.TTF",15);
	pdf.SelectFont(14,17.6);
	pdf.WriteText("GST calculation worksheet",47,782);
	pdf.SelectFont(15,17.6);
	pdf.WriteText("for BAS",236,782);
	pdf.SelectFont(15,12);
	pdf.WriteText("(If you want to use the calculation sheet method to",47,768);
	pdf.WriteText("work out GST amounts)",47,754);
	pdf.SelectFont(15,10);
	pdf.WriteText("Tax period",297,785);
	pdf.WriteText(parameters . PeriodStart.ToString("dd/MM/yyyy") + " to " + parameters .PeriodFinish.ToString("dd/MM/yyyy"),343,785);
	pdf.SelectDraw(.5);
	pdf.DrawRectangle(340,778,210,22);
	pdf.WriteText("Name",313,757);
	pdf.WriteText(parameters . BusinessName,343,757);
	pdf.DrawRectangle(340,750,210,22);
	pdf.SelectFont(15,9,9.5);
	for(Integer count = 0; count < data.length; count++){
		if(data[count].type == TVariable.STRUCTURE){
			pdf.WriteText(data[count].code,47,660-(27*count));
			pdf.WriteText(data[count].text,75,654-(27*count),150,20,PDFDocument.VERTICAL_MIDDLE);
			pdf.WriteText(data[count].code,78+(130*data[count].position),660-(27*count));
			pdf.WriteText("$",95+(130*data[count].position),660-(27*count));
			pdf.WriteText(data[count].amount.ToString(),103+(130*data[count].position),660-(27*count),90,10,PDFDocument.HORIZONTAL_RIGHT );
			pdf.DrawRectangle(102+(130*data[count].position),658-(27*count),95,13);
			pdf.WriteText(".00",198+(130*data[count].position),660-(27*count));
			pdf.StartPath(199+(130*data[count].position),667-(27*count));
			pdf.DrawLineTo(209+(130*data[count].position),659-(27*count));
			pdf.StartPath(209+(130*data[count].position),667-(27*count));
			pdf.DrawLineTo(199+(130*data[count].position),659-(27*count));
			if(data[count].line){
				pdf.StartPath(47,652-(27*count));
				pdf.DrawLineTo(540,652-(27*count));
			}
		}
	}
	pdf.SelectDraw(1);
	pdf.WriteText("Now go to the GST section on the front of the BAS and follow the instructions on\nthe form. You will need to transfer amounts from this calculations sheet to the BAS.",275,80,275,20);
	pdf.StartPath(272,77); pdf.DrawLineTo(272,101); pdf.DrawLineTo(505,101);
	pdf.DrawLineTo(515,107);  pdf.DrawLineTo(525,101); pdf.DrawLineTo(550,101);
	pdf.DrawLineTo(550,77); pdf.DrawLineTo(272,77);
	pdf.SelectFont(15,10,11);
	pdf.WriteText("Show amounts\nat these labels\non your BAS",480,694,70,45,PDFDocument.HORIZONTAL_CENTRE|PDFDocument.VERTICAL_MIDDLE);
	pdf.StartPath(480,745); pdf.DrawLineTo(550,745); pdf.DrawLineTo(550,688);
	pdf.DrawLineTo(525,688); pdf.DrawLineTo(515,678); pdf.DrawLineTo(505,688);
	pdf.DrawLineTo(480,688); pdf.DrawLineTo(480,745);
	pdf.SelectDraw(-1,-1,-1,-1,220,220,220);
	pdf.SelectFont(15,7);
	pdf.WriteText("NAT 4203-4.2004",47,37);
	pdf.SelectFont(14,9,9.5);
	pdf.WriteText("G1 on the BAS",480,659,70,13,PDFDocument.HORIZONTAL_CENTRE|PDFDocument.VERTICAL_MIDDLE);
	pdf.DrawRectangle(480,658,70,13,PDFDocument .PATH_FILL);
	pdf.WriteText("G2 on the BAS",480,632,70,13,PDFDocument.HORIZONTAL_CENTRE|PDFDocument.VERTICAL_MIDDLE);
	pdf.DrawRectangle(480,631,70,13,PDFDocument .PATH_FILL);
	pdf.WriteText("G3 on the BAS",480,605,70,13,PDFDocument.HORIZONTAL_CENTRE|PDFDocument.VERTICAL_MIDDLE);
	pdf.DrawRectangle(480,604,70,13,PDFDocument .PATH_FILL);
	pdf.WriteText("1A in the\nSummary section\nof the BAS",480,436,70,30,PDFDocument.HORIZONTAL_CENTRE|PDFDocument.VERTICAL_MIDDLE);
	pdf.DrawRectangle(480,435,70,30,PDFDocument .PATH_FILL);
	pdf.WriteText("G10 on the BAS",480,389,70,13,PDFDocument.HORIZONTAL_CENTRE|PDFDocument.VERTICAL_MIDDLE);
	pdf.DrawRectangle(480,388,70,13,PDFDocument .PATH_FILL);
	pdf.WriteText("G11 on the BAS",480,362,70,13,PDFDocument.HORIZONTAL_CENTRE|PDFDocument.VERTICAL_MIDDLE);
	pdf.DrawRectangle(480,361,70,13,PDFDocument .PATH_FILL);
	pdf.WriteText("1B in the\nSummary section\nof the BAS",480,112,70,30,PDFDocument.HORIZONTAL_CENTRE|PDFDocument.VERTICAL_MIDDLE);
	pdf.DrawRectangle(480,111,70,30,PDFDocument .PATH_FILL);
	pdf.SelectDraw(-1,-1,-1,-1,0,0,0);
	pdf.DrawRectangle(47,705,410,40,PDFDocument .PATH_FILL);
	pdf.SelectFont(14,16,-1,255,255,255);
	pdf.WriteText("Do not lodge the calculation sheet with your BAS",52,728);
	pdf.SelectFont(15,11);
	pdf.WriteText("We recommend you file it with a copy of the BAS to which it relates",52,712);
	pdf.DrawRectangle(47,678,410,22,PDFDocument .PATH_FILL);
	pdf.SelectFont(14,12);
	pdf.WriteText("GST amounts you owe the Tax Office from sales",52,685);
	pdf.DrawRectangle(47,411,410,22,PDFDocument .PATH_FILL);
	pdf.WriteText("GST amounts the Tax Office owes you from purchases",52,418);
	pdf.SaveDocument("BASWorksheet.pdf");
}

